Subject: B19: perl does not support <STDIN>
From: [email-masked] (Patrice M.I. Parmentier)

14 Nov 1998 00:34:01 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary="------------7D9A589921C901A656D72C2F"
To: [email-masked]

This is a multi-part message in MIME format.
--------------7D9A589921C901A656D72C2F
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

I write the trivial perl script:

print while(<STDIN>);

and run it with perl 5.00502 (ActiveState distribution AND my own
compilation without PERL_OBJECT) on NT4 (sp3). While the script works
properly on DOS shells, it does not work on bash: the script immediately
stops without reading anything from the keyboard...

PS: the same script works with perl binary distribution 5.00402.
Actually, i feel that the bug comes from bash on NT, since the scripts
always works in other conditions.

--------------7D9A589921C901A656D72C2F
Content-Type: text/x-vcard; charset=us-ascii;
 name="ppa.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Patrice M.I. Parmentier
Content-Disposition: attachment;
 filename="ppa.vcf"

begin:vcard 
n:PARMENTIER;Patrice
tel;fax:32 4 367 83 12
tel;work:32 4 367 83 04
x-mozilla-html:FALSE
org:IT Masters
version:2.1
email;internet:[email-masked]
title:Development Engineer
adr;quoted-printable:;;IT Masters SA=0D=0ACentre SOCRAN, av. Pre-Aily;ANGLEUR-Liege;;4031;Belgium
x-mozilla-cpt:;20944
fn:Patrice M.I. PARMENTIER
end:vcard

--------------7D9A589921C901A656D72C2F--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".